## freetds 1.5.5+ds

=== src/apps/CMakeLists.txt ===
add_subdirectory(unittests)

set(libs ${lib_NETWORK} ${lib_BASE})

foreach(target freebcp bsqldb defncopy datacopy)
	add_executable(${target} ${target}.c)
	target_link_libraries(${target} sybdb replacements tdsutils ${libs})
endforeach(target)


add_executable(tsql tsql.c)
target_link_libraries(tsql tds replacements tdsutils ${lib_READLINE} ${libs})

if(WIN32)
	set(libs odbc32 ${lib_NETWORK} ${lib_BASE})
endif(WIN32)

add_executable(bsqlodbc bsqlodbc.c)
target_link_libraries(bsqlodbc tdsodbc replacements tdsutils ${libs})

INSTALL(TARGETS tsql bsqlodbc defncopy freebcp datacopy bsqldb
	PUBLIC_HEADER DESTINATION include
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
	)

=== src/ctlib/CMakeLists.txt ===
add_subdirectory(unittests)

set(static_lib_name ct)
if(WIN32)
	set(win_SRCS winmain.c ctlib.def)
	set(static_lib_name libct)
endif()

add_library(ct SHARED
	ct.c cs.c blk.c ctutil.c
	${win_SRCS}
)

target_compile_definitions(ct PUBLIC DLL_EXPORT=1)
target_link_libraries(ct tds replacements tdsutils ${lib_NETWORK} ${lib_BASE})

add_library(ct-static STATIC
	ct.c cs.c blk.c ctutil.c
)
# See http://www.cmake.org/Wiki/CMake_FAQ#How_do_I_make_my_shared_and_static_libraries_have_the_same_root_name.2C_but_different_suffixes.3F
SET_TARGET_PROPERTIES(ct-static PROPERTIES OUTPUT_NAME ${static_lib_name})
SET_TARGET_PROPERTIES(ct PROPERTIES CLEAN_DIRECT_OUTPUT 1)
SET_TARGET_PROPERTIES(ct-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

target_link_libraries(ct-static tds replacements tdsutils ${lib_NETWORK} ${lib_BASE})

if(NOT WIN32)
	set_target_properties(ct PROPERTIES SOVERSION "4.0.0")
endif()

if(MINGW OR CYGWIN)
	set_target_properties(ct PROPERTIES LINK_FLAGS "--static")
endif(MINGW OR CYGWIN)

INSTALL(TARGETS ct ct-static
	PUBLIC_HEADER DESTINATION include
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
	)

=== src/odbc/CMakeLists.txt ===
add_subdirectory(unittests)

# TODO checks
add_definitions(-DUNIXODBC -DHAVE_SQLGETPRIVATEPROFILESTRING)

if(PERL_FOUND AND NOT EXISTS "${CMAKE_SOURCE_DIR}/src/odbc/odbc_export.h")
	add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/odbc_export.h"
		COMMAND ${PERL_EXECUTABLE} odbc_export.pl odbc.c > "${CMAKE_CURRENT_BINARY_DIR}/odbc_export.h"
		MAIN_DEPENDENCY odbc_export.pl
		DEPENDS odbc.c
		WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR})
	add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/error_export.h"
		COMMAND ${PERL_EXECUTABLE} odbc_export.pl error.c > "${CMAKE_CURRENT_BINARY_DIR}/error_export.h"
		MAIN_DEPENDENCY odbc_export.pl
		DEPENDS error.c
		WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR})
	add_custom_target(odbc_exports_h DEPENDS
		"${CMAKE_CURRENT_BINARY_DIR}/odbc_export.h"
		"${CMAKE_CURRENT_BINARY_DIR}/error_export.h")
else(PERL_FOUND AND NOT EXISTS "${CMAKE_SOURCE_DIR}/src/odbc/odbc_export.h")
	add_custom_target(odbc_exports_h DEPENDS
		"${CMAKE_CURRENT_SOURCE_DIR}/odbc_export.h"
		"${CMAKE_CURRENT_SOURCE_DIR}/error_export.h")
endif(PERL_FOUND AND NOT EXISTS "${CMAKE_SOURCE_DIR}/src/odbc/odbc_export.h")

if(WIN32)
	set(win_SRCS winlogin.c winsetup.c winmain.c odbc_w.def setup.rc)
endif()
set(libs ${lib_ODBCINST})

add_library(tdsodbc SHARED
	odbc.c connectparams.c convert_tds2sql.c
	descriptor.c prepare_query.c odbc_util.c bcp.c
	native.c sql2tds.c error.c odbc_checks.c sqlwchar.c sqlwparams.h
	odbc_data.c unixodbc.c ${win_SRCS}
)
target_include_directories(tdsodbc PUBLIC "${CMAKE_CURRENT_BINARY_DIR}")
add_dependencies(tdsodbc odbc_exports_h encodings_h)
target_compile_definitions(tdsodbc PUBLIC DLL_EXPORT=1)
# TODO libiconv, odbcinstlib and other dynamics
target_link_libraries(tdsodbc tds replacements tdsutils ${libs} ${lib_NETWORK} ${lib_BASE})

if(MINGW OR CYGWIN)
	set_target_properties(tdsodbc PROPERTIES LINK_FLAGS "--static -Wl,--kill-at -Wl,--enable-stdcall-fixup")
endif(MINGW OR CYGWIN)

add_library(tdsodbc_static STATIC
	odbc.c connectparams.c convert_tds2sql.c
	descriptor.c prepare_query.c odbc_util.c bcp.c
	native.c sql2tds.c error.c odbc_checks.c sqlwchar.c sqlwparams.h
	odbc_data.c unixodbc.c ${win_SRCS}
)
target_include_directories(tdsodbc_static PUBLIC "${CMAKE_CURRENT_BINARY_DIR}")
add_dependencies(tdsodbc_static odbc_exports_h encodings_h)
if (NOT WIN32)
	set_target_properties(tdsodbc_static PROPERTIES POSITION_INDEPENDENT_CODE ON)
endif()

INSTALL(TARGETS tdsodbc
	PUBLIC_HEADER DESTINATION include
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
	)

=== src/replacements/CMakeLists.txt ===
include_directories(.)

if(PERL_FOUND AND NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/iconv_charsets.h")
	add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/iconv_charsets.h"
		COMMAND ${PERL_EXECUTABLE} iconv_charsets.pl > "${CMAKE_CURRENT_BINARY_DIR}/iconv_charsets.h"
		MAIN_DEPENDENCY iconv_charsets.pl
		WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR})
	add_custom_target(iconv_charsets_h DEPENDS
		"${CMAKE_CURRENT_BINARY_DIR}/iconv_charsets.h")
else(PERL_FOUND AND NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/iconv_charsets.h")
	add_custom_target(iconv_charsets_h DEPENDS
		"${CMAKE_CURRENT_SOURCE_DIR}/iconv_charsets.h")
endif(PERL_FOUND AND NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/iconv_charsets.h")

include(CheckFunctionExists)

set(FUNCS asprintf vasprintf strtok_r readpassphrase
strlcpy strlcat basename getopt strsep setenv)

set(add_SRCS)

foreach(func ${FUNCS})
	string(TOUPPER "HAVE_${func}" var)
	check_function_exists(${func} ${var})
	if(NOT ${var})
		set(add_SRCS ${add_SRCS} ${func}.c)
	endif()
endforeach(func)

add_library(replacements STATIC
	iconv.c
	gettimeofday.c
	poll.c
	socketpair.c
	getaddrinfo.c
	${add_SRCS}
)
target_include_directories(replacements PUBLIC "${CMAKE_CURRENT_BINARY_DIR}")
add_dependencies(replacements iconv_charsets_h)
if (NOT WIN32)
	set_target_properties(replacements PROPERTIES POSITION_INDEPENDENT_CODE ON)
endif()

add_subdirectory(unittests)


INSTALL(TARGETS replacements
	PUBLIC_HEADER DESTINATION include
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
	)

=== src/tds/CMakeLists.txt ===
add_subdirectory(unittests)

if(PERL_FOUND AND NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/tds_willconvert.h")
	if (NOT GPERF)
	    message(FATAL_ERROR "gperf not found!")
	endif()
	# get name of null device
	set(NULLNAME "/dev/null")
	if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
		set(NULLNAME "NUL:")
	endif(CMAKE_SYSTEM_NAME STREQUAL "Windows")

	set(ENC_SOURCE_DIR "${CMAKE_SOURCE_DIR}/include/freetds")

	add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/tds_willconvert.h"
		COMMAND ${PERL_EXECUTABLE} tds_willconvert.pl ../../include/freetds/proto.h > "${CMAKE_CURRENT_BINARY_DIR}/tds_willconvert.h"
		MAIN_DEPENDENCY tds_willconvert.pl
		WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR})
	add_custom_command(OUTPUT "${CMAKE_BINARY_DIR}/include/freetds/encodings.h"
		COMMAND ${PERL_EXECUTABLE} "${ENC_SOURCE_DIR}/encodings.pl" "${ENC_SOURCE_DIR}" ${GPERF} > encodings.h 2> ${NULLNAME}
		MAIN_DEPENDENCY "${ENC_SOURCE_DIR}/encodings.pl"
		DEPENDS "${ENC_SOURCE_DIR}/alternative_character_sets.h" "${ENC_SOURCE_DIR}/character_sets.h"
		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/include/freetds")
	add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/num_limits.h"
		COMMAND ${PERL_EXECUTABLE} num_limits.pl > "${CMAKE_CURRENT_BINARY_DIR}/num_limits.h"
		MAIN_DEPENDENCY num_limits.pl
		WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR})
	add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/tds_types.h"
		COMMAND ${PERL_EXECUTABLE} types.pl ../../misc/types.csv ../../include/freetds/proto.h > "${CMAKE_CURRENT_BINARY_DIR}/tds_types.h"
		MAIN_DEPENDENCY types.pl
		DEPENDS ../../misc/types.csv ../../include/freetds/proto.h
		WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR})
	add_custom_target(encodings_h DEPENDS
		"${CMAKE_CURRENT_BINARY_DIR}/tds_willconvert.h"
		"${CMAKE_CURRENT_BINARY_DIR}/num_limits.h"
		"${CMAKE_CURRENT_BINARY_DIR}/tds_types.h"
		"${CMAKE_BINARY_DIR}/include/freetds/encodings.h")
else(PERL_FOUND AND NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/tds_willconvert.h")
	add_custom_target(encodings_h DEPENDS
		"${CMAKE_CURRENT_SOURCE_DIR}/tds_willconvert.h"
		"${CMAKE_CURRENT_SOURCE_DIR}/num_limits.h"
		"${CMAKE_CURRENT_SOURCE_DIR}/tds_types.h"
		"${CMAKE_SOURCE_DIR}/include/freetds/encodings.h")
endif(PERL_FOUND AND NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/tds_willconvert.h")

if(WIN32)
	set(add_SRCS sspi.c)
else(WIN32)
	set(add_SRCS challenge.c)
endif(WIN32)

add_library(tds STATIC
	mem.c token.c util.c login.c read.c
        write.c convert.c numeric.c config.c query.c iconv.c
        locale.c vstrbuild.c
        getmac.c data.c net.c tls.c
        tds_checks.c log.c
        bulk.c packet.c stream.c random.c
        sec_negotiate_gnutls.h sec_negotiate_openssl.h sec_negotiate.c gssapi.c
	${add_SRCS}
)
target_include_directories(tds PUBLIC "${CMAKE_CURRENT_BINARY_DIR}")
add_dependencies(tds encodings_h)
if (NOT WIN32)
	set_target_properties(tds PROPERTIES POSITION_INDEPENDENT_CODE ON)
endif()

if(WIN32)
INSTALL(TARGETS tds
	PUBLIC_HEADER DESTINATION include
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
	)
endif(WIN32)

=== src/apps/unittests/CMakeLists.txt ===
include_directories(..)

foreach(target defncopy)
	add_executable(a_${target} EXCLUDE_FROM_ALL ${target}.c)
	set_target_properties(a_${target} PROPERTIES OUTPUT_NAME ${target})
	target_link_libraries(a_${target} replacements tdsutils ${lib_NETWORK} ${lib_BASE})
	add_test(NAME a_${target} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} COMMAND a_${target})
	add_dependencies(check a_${target})
endforeach(target)

=== src/ctlib/unittests/CMakeLists.txt ===
add_library(c_common STATIC common.c common.h)

foreach(target t0001 t0002 t0003 t0004
	t0005 cs_convert t0007 t0008
	t0009 connect_fail ct_options
	lang_ct_param array_bind cs_diag
	get_send_data rpc_ct_param rpc_ct_setparam
	ct_diagclient ct_diagserver ct_diagall
	cs_config cancel blk_in
	blk_out ct_cursor ct_cursors
	ct_dynamic blk_in2 data datafmt rpc_fail row_count
	all_types long_binary will_convert
	variant errors ct_command timeout)
	add_executable(c_${target} EXCLUDE_FROM_ALL ${target}.c)
	set_target_properties(c_${target} PROPERTIES OUTPUT_NAME ${target})
	if (target STREQUAL "all_types")
		target_link_libraries(c_${target} c_common ct-static t_common tds replacements tdsutils ${lib_NETWORK} ${lib_BASE})
	else()
		target_link_libraries(c_${target} c_common ct replacements tdsutils ${lib_NETWORK} ${lib_BASE})
	endif()
	add_test(NAME c_${target} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} COMMAND c_${target})
	add_dependencies(check c_${target})
endforeach(target)

=== src/dblib/unittests/CMakeLists.txt ===
add_library(d_common STATIC common.c common.h)

foreach(target t0001 t0002 t0003 t0004 t0005 t0006 t0007 t0008 t0009
	t0011 t0012 t0013 t0014 t0015 t0016 t0017 t0018 t0019 t0020
	dbsafestr t0022 t0023 rpc dbmorecmds bcp thread text_buffer
	done_handling timeout hang null null2 setnull numeric pending
	cancel spid canquery batch_stmt_ins_sel batch_stmt_ins_upd bcp_getl
	empty_rowsets string_bind colinfo bcp2 proc_limit)
	add_executable(d_${target} EXCLUDE_FROM_ALL ${target}.c)
	set_target_properties(d_${target} PROPERTIES OUTPUT_NAME ${target})
	target_link_libraries(d_${target} d_common sybdb replacements tdsutils ${lib_NETWORK} ${lib_BASE})
	add_test(NAME d_${target} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} COMMAND d_${target})
	add_dependencies(check d_${target})
endforeach(target)

=== src/odbc/unittests/CMakeLists.txt ===
include_directories(..)

set(tests
	t0001 t0002 t0003
	moreresults connect print
	date norowset funccall
	lang_error tables
	binary_test moreandcount
	earlybind putdata params
	raiserror getdata
	transaction type genparams
	preperror prepare_results
	testodbc data error
	rebindpar rpc convert_error
	typeinfo const_params
	insert_speed compute
	timeout array array_out
	cursor1 scroll cursor2
	describecol copydesc
	prepclose warning
	paramcore timeout2 timeout3
	connect2 timeout4 freeclose
	cursor3 cursor4 cursor5
	attributes hidden blob1
	cancel wchar rowset transaction2
	cursor6 cursor7 utf8 utf8_2
	stats descrec peter test64
	prepare_warn long_error mars1
	array_error closestmt bcp
	all_types utf8_3 empty_query
	transaction3 transaction4
	utf8_4 qn connection_string_parse
	tvp tokens
	describeparam
)

if(WIN32)
	set(libs odbc32 ${lib_ODBCINST})
else()
	set(libs tdsodbc ${lib_ODBCINST})
endif()

add_library(o_common STATIC common.c common.h c2string.c parser.c parser.h
	fake_thread.c fake_thread.h)

set(static_tests all_types utf8_4 connection_string_parse)
set(unicode_tests utf8 oldpwd)
foreach(target ${tests})
	add_executable(o_${target} EXCLUDE_FROM_ALL ${target}.c)
	set_target_properties(o_${target} PROPERTIES OUTPUT_NAME ${target})
	if (target IN_LIST static_tests)
		target_link_libraries(o_${target} o_common tdsodbc_static t_common tds replacements tdsutils ${lib_ODBCINST} ${lib_NETWORK} ${lib_BASE})
	else()
		target_link_libraries(o_${target} o_common replacements tdsutils ${libs} ${lib_NETWORK} ${lib_BASE})
	endif()
	if (ENABLE_ODBC_WIDE AND NOT target IN_LIST unicode_tests)
		set_property(TARGET o_${target} APPEND PROPERTY COMPILE_DEFINITIONS UNICODE=1 _UNICODE=1_)
	endif()
	if (target STREQUAL "tokens")
		set_property(TARGET o_${target} APPEND PROPERTY LINK_LIBRARIES tdssrv tds)
	endif()
	add_test(NAME o_${target} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} COMMAND o_${target})
	add_dependencies(check o_${target})
endforeach(target)

=== src/tds/unittests/CMakeLists.txt ===
include_directories(..)

add_library(t_common STATIC common.c common.h utf8.c allcolumns.c)

foreach(target t0001 t0002 t0003 t0004 t0005 t0006 t0007 t0008 dynamic1
    convert dataread utf8_1 utf8_2 utf8_3 numeric iconv_fread toodynamic
    readconf charconv nulls collations corrupt declarations portconf
    parsing freeze strftime log_elision convert_bounds tls)
	add_executable(t_${target} EXCLUDE_FROM_ALL ${target}.c)
	set_target_properties(t_${target} PROPERTIES OUTPUT_NAME ${target})
	target_link_libraries(t_${target} t_common tds replacements tdsutils ${lib_NETWORK} ${lib_BASE})
	if(NOT ${target} STREQUAL "collations")
		add_test(NAME t_${target} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} COMMAND t_${target})
	endif()
	add_dependencies(check t_${target})
endforeach(target)

=== src/utils/unittests/CMakeLists.txt ===
include_directories(..)

if(NOT WIN32)
	set(unix_TESTS challenge)
endif(NOT WIN32)

foreach(target passarg condition mutex1 dlist bytes smp path ${unix_TESTS})
	add_executable(u_${target} EXCLUDE_FROM_ALL ${target}.c)
	set_target_properties(u_${target} PROPERTIES OUTPUT_NAME ${target})
	target_link_libraries(u_${target} tdsutils ${lib_NETWORK} ${lib_BASE})
	add_test(NAME u_${target} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} COMMAND u_${target})
	add_dependencies(check u_${target})
endforeach(target)

=== debian/changelog ===
freetds (1.5.5+ds-1) unstable; urgency=medium

  * New upstream version 1.5.5+ds

 -- Joseph Nahmias <jello@debian.org>  Sat, 30 Aug 2025 22:40:49 -0400

=== debian/control ===
Source: freetds
Section: libs
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Standards-Version: 4.7.2
Homepage: http://www.freetds.org/
Vcs-Git: https://salsa.debian.org/debian/freetds.git
Vcs-Browser: https://salsa.debian.org/debian/freetds
Build-Depends:
 debhelper-compat (= 13),
 libgnutls28-dev,
 libkrb5-dev,
 libreadline-dev,
 pkgconf,
 unixodbc-dev,
Build-Depends-Indep:
 doxygen <!nodoc>,
 xmlto <!nodoc>,

Package: freetds-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: configuration files for FreeTDS SQL client libraries
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package manages the configuration files that are common to all of
 the TDS client library implementations (CT-Lib, DB-Lib, and ODBC),
 stored in /etc/freetds/.

Package: freetds-bin
Architecture: any
Section: database
Depends:
 freetds-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 freetds-doc,
Description: FreeTDS command-line utilities
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the command-line utilities shipped with FreeTDS.

Package: freetds-dev
Section: devel
Architecture: any
Depends:
 libct4 (= ${binary:Version}),
 libsybdb5 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 freetds-doc,
Description: MS SQL and Sybase client library (static libs and headers)
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the static libraries and header files for TDS, which
 you will need to develop applications that connect to MS SQL servers.  You
 will also need this package if you are installing the Perl DBD::Sybase
 module on your system using CPAN.

Package: freetds-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: FreeTDS documentation
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the user guide as well as the library API reference
 manual.

Package: libct4
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 freetds-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: libraries for connecting to MS SQL and Sybase SQL servers
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the shared libraries for the Sybase CT-Lib API.
 You will need this if you plan to connect to MS SQL or Sybase servers, or use
 the PHP sybase or Perl DBD::Sybase extensions.

Package: libsybdb5
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 freetds-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: libraries for connecting to MS SQL and Sybase SQL servers
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the shared libraries for the Sybase DB-Lib API.

Package: tdsodbc
Architecture: any
Multi-Arch: same
Depends:
 freetds-common,
 odbcinst,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libodbc2,
Description: ODBC driver for connecting to MS SQL and Sybase SQL servers
 FreeTDS is an implementation of the Tabular DataStream protocol, used for
 connecting to MS SQL and Sybase servers over TCP/IP.
 .
 This package includes the ODBC driver for FreeTDS, for use with
 UnixODBC or iODBC.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -Wall -DDBLIB_UNIMPLEMENTED=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-gnu-ld \
		--with-unixodbc=/usr --sysconfdir=/etc/freetds \
		--enable-sybase-compat --with-gnutls --enable-krb5

override_dh_auto_test:
	make -j1 check "TESTSUITEFLAGS=-j1 --verbose" VERBOSE=1 TDS_SKIP_NETWORK=1

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/odbc
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libtdsodbc.so \
	   $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/odbc/libtdsodbc.so
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libtdsodbc*

override_dh_fixperms:
ifneq (,$(filter freetds-common, $(shell dh_listpackages)))
	chmod a-x $(CURDIR)/debian/freetds-common/usr/share/freetds/freetds.conf
endif
	dh_fixperms

override_dh_makeshlibs:
	dh_makeshlibs -Xtdsodbc -V

=== debian/tests/control ===
Tests:
 libtests,
Depends:
 freetds-dev,
 gcc,
 libc6-dev | libc-dev,
Restrictions:
 superficial,
